VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::networking::Ipv4Types::IPv4Mode Class Reference

`Ipv4.IPv4Mode` enumerated type Defines different ipv4 modes More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, dhcp, is_static, unconfigured }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static IPv4Mode[] | GetValues ()
static IPv4Mode | ValueOf (string name)
## Static Public Attributes
static readonly IPv4Mode | dhcp = new IPv4Mode("dhcp", Values.dhcp)
| IPv4 address is automatically assigned by a DHCP server.
static readonly IPv4Mode | is_static = new IPv4Mode("is_static", Values.is_static)
| IPv4 address is static.
static readonly IPv4Mode | unconfigured = new IPv4Mode("unconfigured", Values.unconfigured)
| The IPv4 protocol is not configured.

## Detailed Description

`Ipv4.IPv4Mode` enumerated type Defines different ipv4 modes

## Member Enumeration Documentation

enum vmware::appliance::techpreview::networking::Ipv4Types::IPv4Mode::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  dhcp | IPv4 address is automatically assigned by a DHCP server.
  is_static | IPv4 address is static.
  unconfigured | The IPv4 protocol is not configured.

## Member Function Documentation

Values vmware::appliance::techpreview::networking::Ipv4Types::IPv4Mode::GetEnumValue | ( |  | ) | `[inline]`

static IPv4Mode [] vmware::appliance::techpreview::networking::Ipv4Types::IPv4Mode::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::networking::Ipv4Types::IPv4Mode::IsUnknown | ( |  | ) | `[inline]`

static IPv4Mode vmware::appliance::techpreview::networking::Ipv4Types::IPv4Mode::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly IPv4Mode vmware::appliance::techpreview::networking::Ipv4Types::IPv4Mode::dhcp = new IPv4Mode("dhcp", Values.dhcp)`[static]`

IPv4 address is automatically assigned by a DHCP server.

readonly IPv4Mode vmware::appliance::techpreview::networking::Ipv4Types::IPv4Mode::is_static = new IPv4Mode("is_static", Values.is_static)`[static]`

IPv4 address is static.

readonly IPv4Mode vmware::appliance::techpreview::networking::Ipv4Types::IPv4Mode::unconfigured = new IPv4Mode("unconfigured", Values.unconfigured)`[static]`

The IPv4 protocol is not configured.

The documentation for this class was generated from the following file:

- Ipv4Types.cs